import { ChangeMap, WebComponent } from "@hpcc-js/wc-core";
import { SplitPanel, Widget } from "@lumino/widgets";
import { IMessageHandler, Message } from "@lumino/messaging";
import { HPCCLuminoElement } from "./common";
import { WidgetAdapter } from "./widgetAdapter";
export declare class HPCCSplitPanelElement extends HPCCLuminoElement {
    /**
     * The orientation of the splitter
     *
     * @typeParam horizontal - Horizontal orientation
     * @typeParam vertical - Vertical orientation
     *
     * @defaultValue "horizontal"
     */
    orientation: "horizontal" | "vertical";
    /**
     * The spacing between the panels in the splitter
     *
     * @defaultValue 4
     */
    spacing: number;
    protected _div: HTMLDivElement;
    protected _slot: HTMLSlotElement;
    protected _splitPanel: SplitPanel;
    constructor();
    createPanel(): void;
    addWidget(w: WidgetAdapter, e: HTMLElement, _ref?: Widget): void;
    enter(): void;
    update(changes: ChangeMap<this>): void;
    exit(): void;
    messageHook(handler: IMessageHandler, msg: Message): boolean;
}
declare global {
    namespace JSX {
        interface IntrinsicElements {
            ["hpcc-splitpanel"]: WebComponent<HPCCSplitPanelElement, "fit-request" | "update-request">;
        }
    }
}
//# sourceMappingURL=splitPanel.d.ts.map